Commit b01524ff authored by Eric Engestrom's avatar Eric Engestrom

meson: don't build libGLES*.so with GLVND

GLVND already provides these, so distro packagers have been deleting
them all along. Let's save ourselves the trouble and not build them in
the first place.
Signed-off-by: Eric Engestrom's avatarEric Engestrom <eric.engestrom@intel.com>
Reviewed-by: Matt Turner's avatarMatt Turner <mattst88@gmail.com>
Reviewed-by: Dylan Baker's avatarDylan Baker <dylan@pnwbakers.com>
Reviewed-by: default avatarEmil Velikov <emil.velikov@collabora.com>
parent 2c387819
......@@ -33,9 +33,11 @@ subdir('glapi')
if with_shared_glapi
subdir('shared-glapi')
endif
if with_gles1
subdir('es1api')
endif
if with_gles2
subdir('es2api')
if not with_glvnd
if with_gles1
subdir('es1api')
endif
if with_gles2
subdir('es2api')
endif
endif
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment